\ProvidesPackage{beamerthemePosterInria}
\mode<presentation>

\definecolor{InriaRed}{RGB}{230, 51, 18}
\definecolor{InriaBlueGrey}{RGB}{56, 66, 87}
\definecolor{Background}{RGB}{252, 252, 252}

\setbeamerfont{footline}{size = \large}
\setbeamerfont{block title}{shape = \scshape, size = \large, series = \bfseries}
\setbeamerfont{block body}{size = \large}

\setbeamercolor{background canvas}{bg = Background}
\setbeamercolor{headline}{bg = white, fg = InriaRed}
\setbeamercolor{footline}{bg = white, fg = InriaRed}
\setbeamercolor{separation line}{bg = InriaBlueGrey}
\setbeamercolor{framesubtitle}{fg = InriaBlueGrey, bg = InriaRed}
\setbeamercolor{title in head/foot}{fg = black, bg = white}
\setbeamercolor{author in head/foot}{fg = InriaRed, bg = white}
\setbeamercolor{normal text}{fg = black, bg = white}
\setbeamercolor{block title}{fg = white, bg = InriaBlueGrey}
\setbeamercolor{block body}{fg = black, bg = white}
\setbeamercolor{block alerted title}{fg = white, bg = InriaBlueGrey}
\setbeamercolor{block alerted body}{fg = InriaRed, bg = white}
\setbeamercolor{upper separation line head}{fg = InriaBlueGrey}

\setbeamertemplate{itemize items}[triangle]
\setbeamertemplate{navigation symbols}{}

\setbeamertemplate{block begin}{
  \vskip2ex
  \begin{beamercolorbox}
    [ht = 5ex, dp = .1ex, center, colsep*= .75ex]
    {block title}
    \usebeamerfont{block title}{\phantom{Gg}\insertblocktitle\phantom{Gg}}
  \end{beamercolorbox}
      {\ifbeamercolorempty[bg]{block body}{}{\nointerlineskip\vskip - .5pt}}
      \usebeamerfont{block body}
      \begin{beamercolorbox}
        [leftskip = 1em, colsep*= .75ex, sep = .5ex, vmode]
        {block body}
        \ifbeamercolorempty[bg]{block body}
                           {\vskip - .25ex}
                           {\vskip - .75ex}
                           \vbox{}
}

\setbeamertemplate{block end}{
      \end{beamercolorbox}
}

\def\@logopath{None}
\newcommand{\setlogo}[1]{\def\@logopath{#1}}

\setbeamertemplate{headline}{  
  \leavevmode
  \begin{beamercolorbox}[wd = \paperwidth]{upper separation line head}
    \rule{0pt}{16pt}
  \end{beamercolorbox}
  \begin{beamercolorbox}[wd = \paperwidth]{headline}
    \begin{columns}[T]
      \begin{column}{.02\paperwidth}
      \end{column}
      \begin{column}{.68\paperwidth}
        \vskip2ex
        \raggedleft
        \usebeamercolor{title in headline}{\textbf{\LARGE{\inserttitle}}\\[1ex]}
        \usebeamercolor{author in headline}{\large{\insertauthor}\\[1ex]}
        \usebeamercolor{institute in headline}
                       {\textit{\normalsize{\insertinstitute}}\\[1ex]}
      \end{column}
      \begin{column}{.02\paperwidth}
      \end{column}
      \begin{column}{.22\paperwidth}
        \begin{center}
          \includegraphics[width = \textwidth]{\@logopath}
        \end{center}
      \end{column}
      \begin{column}{.02\paperwidth}
      \end{column}
    \end{columns}
    \vskip1ex
  \end{beamercolorbox}
  \begin{beamercolorbox}[wd = \paperwidth]{lower separation line head}
    \rule{0pt}{16pt}
  \end{beamercolorbox}
}

\def\@authorurl{None}
\newcommand{\setauthorurl}[1]{\def\@authorurl{#1}}
\def\@authoremail{None}
\newcommand{\setauthoremail}[1]{\def\@authoremail{#1}}

\setbeamertemplate{footline}{
  \begin{beamercolorbox}[wd = \paperwidth]{upper separation line foot}
    \rule{0pt}{16pt}
  \end{beamercolorbox}
  \leavevmode
  \begin{beamercolorbox}
    [ht = 4ex, leftskip = 1.4em, rightskip = 1.4em]{author in head/foot}
    {\normalsize \insertshortdate}
    \hfill
    {\normalsize \url{\@authorurl}}
    \hfill
    {\normalsize \href{mailto:\@authoremail}{\texttt{\@authoremail}}}
    \vskip1ex
  \end{beamercolorbox}
  \vskip0pt
  \begin{beamercolorbox}[wd = \paperwidth]{lower separation line foot}
    \rule{0pt}{16pt}
  \end{beamercolorbox}
  \begin{beamercolorbox}
    [ht = 5em, leftskip = 1.4em, rightskip = 1.4em]{title in head/foot}
    \includegraphics[height = 4em]{logo/ub.pdf}
    \hfill
    \includegraphics[height = 4em]{logo/cnrs.pdf}
    \hfill
    \includegraphics[height = 4em]{logo/inp.pdf}
    \hfill
    \includegraphics[height = 4em]{logo/labri.png}
    \hfill
    \includegraphics[height = 4em]{logo/edmi.png}
    \vskip1ex
  \end{beamercolorbox}
  \vskip0pt
}

\mode<all>

\setbeamertemplate{itemize items}[triangle]
\setbeamertemplate{itemize item}
                  {\raisebox{.12ex}{$\blacktriangleright$}\hskip.1em}
                  \setbeamertemplate{itemize subitem}
                                    {\raisebox{.12ex}
                                      {$\triangleright$}\hskip.1em}
\setbeamerfont{itemize/enumerate body}{size = \normalsize}
\setbeamerfont{itemize/enumerate subbody}{size = \normalsize}
\setbeamerfont{itemize/enumerate subsubbody}{size = \normalsize}
